# STM32L0538-DISCO Discovery board

## Overview

The STM32L053 Discovery kit helps the user to discover the full feature range of the STM32L0 Series and develop applications. It is based on the STM32L053C8T6 microcontroller and includes an embedded ST-LINK/V2-1 debugger/programmer, linear touch sensor, touchkeys, I DD current measurement, 2.13” E-paper display, NFC connector for the PLUG-CR95HF-B board, LEDs, push-buttons and a USB Mini-B connector. The STM32L053 Discovery kit comes with a comprehensive STM32 software HAL library with various packaged software examples available in the STM32CubeL0 MCU Package.

## Getting started

- [User manual](https://www.st.com/resource/en/user_manual/um1775-discovery-kit-with-stm32l053c8-mcu-stmicroelectronics.pdf)

### ST-LINK driver installation and firmware upgrade (on Microsoft Windows)

1. Download the latest [ST-LINK driver](https://www.st.com/en/development-tools/stsw-link009.html).
2. Extract the archive and run `dpinst_amd64.exe`. Follow the displayed instructions.
3. Download the latest [ST-LINK firmware upgrade](https://www.st.com/en/development-tools/stsw-link007.html).
4. Extract the archive and run the `ST-LinkUpgrade.exe` program.
5. Connect the board to your PC using a USB cable and wait until the USB enumeration is completed.
6. In the **ST-Link Upgrade** program, press the **Device Connect** button.
7. When the ST-LINK driver is correctly installed, the current ST-LINK version is displayed.
8. Press the **Yes >>>>** button to start the firmware upgrade process.

## Technical reference

- [STM32L053C8 microcontroller](https://www.st.com/en/microcontrollers-microprocessors/stm32l053c8.html)
- [STM32L0538-DISCO board](https://www.st.com/en/evaluation-tools/32l0538discovery.html)
- [User manual](https://www.st.com/resource/en/user_manual/um1775-discovery-kit-with-stm32l053c8-mcu-stmicroelectronics.pdf)
- [Data brief](https://www.st.com/resource/en/data_brief/32l0538discovery.pdf)
- [Schematic](https://www.st.com/resource/en/schematic_pack/mb1143-default-b01_schematic.pdf)
